> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the experiments that are neither ended nor archived and read a datasource, with the fields used by their assignment conditions



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/statistics get /experiments/usage/datasource/{id}
openapi: 3.0.0
info:
  title: statistics
  version: unknown
  description: >-
    # Errors

    | Error code | Message | HTTP status code | Payload |

    | :--- | :--- | :--- | :--- |

    |
    9000,9001,9002,9003,9004,9006,9007,9008,9009,9010,9011,9012,9013,9014,9015,9016,9018,9019,9020,9021,9022,9023,9024,9025,9026,9027,9028,9029,9030,9031,9032,9033,9034,9035,9036,9037,9038,9039,9040,9043,9041,9042,9044,9045
    | The experiment configuration is invalid | 422 | ```{"reason":"string"}```
    |
servers:
  - url: https://api.reelevant.com/v2/statistics/
    description: production
security: []
paths:
  /experiments/usage/datasource/{id}:
    get:
      tags:
        - Experiments
      summary: >-
        List the experiments that are neither ended nor archived and read a
        datasource, with the fields used by their assignment conditions
      operationId: list-experiments-with-datasource-usage
      parameters:
        - name: id
          in: path
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Array_ExperimentDatasourceUsage
        '403':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        $ref: '#/components/schemas/StatisticsErrorCode'
                      code:
                        type: number
                        enum:
                          - 403
                      message:
                        type: string
                        enum:
                          - >-
                            Internal requests to this experiment endpoint must
                            be signed for one company
                      data:
                        type: object
                        properties: {}
                        additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_ExperimentDatasourceUsage:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExperimentDatasourceUsage'
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    InternalResponse_:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    StatisticsErrorCode:
      type: number
      enum:
        - 9000
        - 9001
        - 9002
        - 9003
        - 9004
        - 9006
        - 9007
        - 9008
        - 9009
        - 9010
        - 9011
        - 9012
        - 9013
        - 9014
        - 9015
        - 9016
        - 9018
        - 9019
        - 9020
        - 9021
        - 9022
        - 9023
        - 9024
        - 9025
        - 9026
        - 9027
        - 9028
        - 9029
        - 9030
        - 9031
        - 9032
        - 9033
        - 9034
        - 9035
        - 9036
        - 9037
        - 9038
        - 9039
        - 9040
        - 9043
        - 9041
        - 9042
        - 9044
        - 9045
    ExperimentDatasourceUsage:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        fields:
          type: array
          items:
            type: string
      required:
        - id
        - name
        - fields
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v2/auth/token
          refreshUrl: https://api.reelevant.com/v2/auth/token
          scopes: {}

````